> For the complete documentation index, see [llms.txt](https://mwx.twelite.info/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mwx.twelite.info/latest_en/api-reference/funcs/systemfunc/delaymicroseconds.md).

# delayMicroseconds()

{% hint style="success" %}
It is not included in MWSDK2020\_05. Supported packages will be MWSDK\_2020\_07\_UNOFFICIAL or later.
{% endhint %}

Wait for time by polling (specified in μsec).

```cpp
void delayMicroseconds(uint32_t microsec)
```

Wait for a given period of time in `microsec`.

The time is measured by the TickTimer count. When waiting for a long time, the CPU clock is reduced and polling is performed.

{% hint style="warning" %}
In the `setup(), wakeup()` function, TickTimer is not yet running, so it waits for a while in a while loop. In this case, the error with the specified value will be large. This loop counter is adjusted to 32Mhz. If the CPU clock is changed in these functions, the error will be proportional to the clock.

If you specify a short time, such as less than 10 for a parameter, the error may be large.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://mwx.twelite.info/latest_en/api-reference/funcs/systemfunc/delaymicroseconds.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
